Bug 115353 - Status bar displays wrong characters upon load (OpenGL)
Summary: Status bar displays wrong characters upon load (OpenGL)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+ Master
Hardware: All All
: high normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0 target:6.0.3 target:6.0.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: CJK VCL-OpenGL
  Show dependency treegraph
 
Reported: 2018-01-31 21:31 UTC by Aron Budea
Modified: 2018-03-20 08:55 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot (87.42 KB, image/png)
2018-01-31 21:31 UTC, Aron Budea
Details
Screenshot (02.20.) (99.67 KB, image/png)
2018-02-21 03:45 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-01-31 21:31:25 UTC
This is a follow-up to bug 114736.

With OpenGL rendering enabled, open attachment 138711 [details] from bug 114732.

Note how the status bar doesn't display the Chinese characters as it would be expected (see screenshot).
After any action that redraws status bar, the characters display correctly.
Chinese/Japanese/Korean UIs might also be affected (couldn't test that).

Observed using LO 6.1 daily build (2018-01-30_03:11:54, 3deac9691011711a3b9e50d19499c588af074d7f).
I'm assuming the responsible commit is the same that fixed the crash of bug 114736:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=9b5730f92967b6a8f4fce349bcd951f388b940df
author		Tamas Bunth <tamas.bunth@collabora.co.uk>	2018-01-28 00:14:55 +0100
committer	Tamás Bunth <btomi96@gmail.com>	2018-01-28 15:58:46 +0100

tdf#114736 no need to call AdjustLayout here
Comment 1 Aron Budea 2018-01-31 21:31:55 UTC
Created attachment 139479 [details]
Screenshot
Comment 2 Aron Budea 2018-01-31 21:33:11 UTC
Oh, and OS is Windows 7, not sure if other OSes are affected.
Comment 3 Aron Budea 2018-02-04 22:53:55 UTC
By copying the 'program/resource' and 'share' directories from 6.0.0.3 to the mentioned 6.1 daily build, and switching UI language to eg. Japanese, I can confirm that other status bar texts also show incorrect glyphs at first.
Comment 4 Commit Notification 2018-02-11 22:59:26 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e3546db362e9dfed94572d164359a0fc1eae742f

tdf#115353 tdf#114743 Use first valid glyph

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Kevin Suo 2018-02-12 00:10:36 UTC
If there is a commit fixing this issue, the correct status should be RESOLVED FIXED.
Comment 6 Aron Budea 2018-02-21 03:45:27 UTC
Created attachment 140027 [details]
Screenshot (02.20.)

I'm afraid it still isn't working correctly, the attached screenshot was taken with a fres daily build.

It is sometimes showing correctly, but closing and reopening the presentation, maybe resizing the window in between brings forth the issue in a few tries.

Version: 6.1.0.0.alpha0+ (x64)
Build ID: a8d4d4b9edca48b8fb94dbb06d7dd1e689b07b98
CPU threads: 16; OS: Windows 6.1; UI render: GL; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2018-02-20_23:42:48
Locale: hu-HU (hu_HU); Calc: CL
Comment 7 Commit Notification 2018-02-25 18:21:47 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8d42909cd326cb26d8ba1fb383b5578f820c72ed

tdf#115353 layout fix

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2018-03-01 14:35:40 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a4ed3d9a1ffa1b51ba4352a955c950235f099fdc

tdf#115353 Status bar: no cache in settext

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Aron Budea 2018-03-03 15:20:32 UTC
Verified fixed with a fresh master build  (bc6f3c0fe95f9162fb14dc540fa2b4bc81af32bf), thanks Tamas!
Comment 10 Commit Notification 2018-03-07 12:20:46 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4fc637930e5cc7b1cc3139b0f126e3f595be809b&h=libreoffice-6-0

tdf#115353 Status bar: no cache in settext

It will be available in 6.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Commit Notification 2018-03-20 08:55:52 UTC
Tamas Bunth committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c5f0c10b3cb3d7014bb127e8d811377279ab5228&h=libreoffice-6-0

tdf#115353 tdf#114743 Use first valid glyph

It will be available in 6.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.